Synq Docs
Management APIUsers

List or search a brand's users

Newest first. Needs `org.users.view`.

GET/v1/orgs/{org}/brands/{brand}/users

Newest first. Needs org.users.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string

Query Parameters

limit?integer

At most this many items, 200 at the most.

Range1 <= value <= 200
Default50
cursor?string

The previous page's next_cursor, for the page after it.

q?string

Part of an email, username or name, words of a name, or the start of a wallet address

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/brands/string/users"
{  "data": [    {      "id": "string",      "email": "string",      "email_verified": true,      "username": "string",      "name": "string",      "given_name": "string",      "family_name": "string",      "picture": "string",      "locale": "string",      "wallets": [        "string"      ],      "disabled": true,      "deletion_scheduled_for": "2019-08-24T14:15:22Z",      "last_sign_in_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}